package com.zt.plat.module.qms.business.config.dal.mapper;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.zt.plat.module.qms.business.config.controller.vo.*;
import com.zt.plat.module.qms.business.config.controller.vo.ConfigAssayMethodProjectRangePageReqVO;
import com.zt.plat.module.qms.business.config.dal.dataobject.ConfigAssayMethodProjectRangeDO;
import com.zt.plat.framework.mybatis.core.mapper.BaseMapperX;
import org.apache.ibatis.annotations.Mapper;

/**
 * 检测方法分析项目区间 Mapper
 *
 * @author 后台管理
 */
@Mapper
public interface ConfigAssayMethodProjectRangeMapper extends BaseMapperX<ConfigAssayMethodProjectRangeDO> {

    default PageResult<ConfigAssayMethodProjectRangeDO> selectPage(ConfigAssayMethodProjectRangePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ConfigAssayMethodProjectRangeDO>()
        		.eqIfPresent(ConfigAssayMethodProjectRangeDO::getConfigBaseSampleId, reqVO.getConfigBaseSampleId())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getConfigAssayMethodId, reqVO.getConfigAssayMethodId())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getConfigAssayMethodProjectId, reqVO.getConfigAssayMethodProjectId())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getDictionaryProjectId, reqVO.getDictionaryProjectId())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getRangeType, reqVO.getRangeType())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getMinimumValue, reqVO.getMinimumValue())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getMinimumWarningValue, reqVO.getMinimumWarningValue())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getMaximumWarningValue, reqVO.getMaximumWarningValue())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getMaximumValue, reqVO.getMaximumValue())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getSystemDepartmentCode, reqVO.getSystemDepartmentCode())
                .betweenIfPresent(ConfigAssayMethodProjectRangeDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getRemark, reqVO.getRemark())
                .eqIfPresent(ConfigAssayMethodProjectRangeDO::getVersion, reqVO.getVersion())
                .orderByDesc(ConfigAssayMethodProjectRangeDO::getId));
    }

}